import request from '@/utils/request'

// 查询配方列表列表
export function listFormulaList(query) {
  return request({
    url: '/feed/FormulaList/list',
    method: 'get',
    params: query
  })
}

// 查询配方列表详细
export function getFormulaList(code) {
  return request({
    url: '/feed/FormulaList/' + code,
    method: 'get'
  })
}

// 新增配方列表
export function addFormulaList(data) {
  return request({
    url: '/feed/FormulaList',
    method: 'post',
    data: data
  })
}

// 修改配方列表
export function updateFormulaList(data) {
  return request({
    url: '/feed/FormulaList',
    method: 'put',
    data: data
  })
}

// 删除配方列表
export function delFormulaList(code) {
  return request({
    url: '/feed/FormulaList/' + code,
    method: 'delete'
  })
}
